| Haskell Core Libraries (Cabal package) | Contents | Index

Distribution.Compiler

Portability | portable
Stability | alpha
Maintainer | Isaac Jones <ijones@syntaxpolice.org>

Contents

Haskell implementations
Support for language extensions

Description
Haskell implementations.
Synopsis

data CompilerFlavor

= GHC
| NHC
| Hugs
| HBC
| Helium
| JHC
| OtherCompiler String

data Compiler = Compiler {

compilerFlavor :: CompilerFlavor
compilerVersion :: Version
compilerPath :: FilePath
compilerPkgTool :: FilePath

}

showCompilerId :: Compiler -> String
compilerBinaryName :: CompilerFlavor -> String
type Opt = String
extensionsToFlags :: CompilerFlavor -> [Extension] -> ([Extension], [Opt])
extensionsToNHCFlag :: [Extension] -> ([Extension], [Opt])
extensionsToGHCFlag :: [Extension] -> ([Extension], [Opt])
extensionsToHugsFlag :: [Extension] -> ([Extension], [Opt])

Haskell implementations
data CompilerFlavor

Constructors

GHC |
NHC |
Hugs |
HBC |
Helium |
JHC |
OtherCompiler String |

Instances

Eq CompilerFlavor
Read CompilerFlavor
Show CompilerFlavor

data Compiler

Constructors

Compiler |

compilerFlavor :: CompilerFlavor |
compilerVersion :: Version |
compilerPath :: FilePath |
compilerPkgTool :: FilePath |

Instances

Eq Compiler
Read Compiler
Show Compiler

showCompilerId :: Compiler -> String
compilerBinaryName :: CompilerFlavor -> String
Support for language extensions
type Opt = String
extensionsToFlags :: CompilerFlavor -> [Extension] -> ([Extension], [Opt])
For the given compiler, return the unsupported extensions, and the flags for the supported extensions.
extensionsToNHCFlag :: [Extension] -> ([Extension], [Opt])
NHC: Return the unsupported extensions, and the flags for the supported extensions
extensionsToGHCFlag :: [Extension] -> ([Extension], [Opt])
GHC: Return the unsupported extensions, and the flags for the supported extensions
extensionsToHugsFlag :: [Extension] -> ([Extension], [Opt])
Hugs: Return the unsupported extensions, and the flags for the supported extensions
Produced by Haddock version 0.7